Multibyte UTF8 characters (e.g. Japanese text) jumbled when submitted with image

Bug #1582778 reported by Adam on 2016-05-17
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
High
Son Nguyen
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Son Nguyen

Bug Description

When a Japanese user writes Japanese text in the editor and posts it, it is typically fine. However, adding an image causes any Japanese text to be jumbled (just appears as a string of ????????).

Server
Mahara version 16.04.1
Apache on Linux with Postgres

Tested on Clients
Windows 10 + Chrome
Ubuntu 16.04 + Chromium and Firefox

Thanks for the report, Adam.

Son, can you please check for 15.10 as well? I could confirm the behavior on our demo site.

Changed in mahara:
status: New → Confirmed
importance: Undecided → High
Son Nguyen (ngson2000) wrote :

This bug happens in 15.10 as well.

That patch worked beautifully. Problem solved!

Reviewed: https://reviews.mahara.org/6495
Committed: https://git.mahara.org/mahara/mahara/commit/6bc4cd435b7526bcf8daed763bb1e9f6dc97e107
Submitter: Son Nguyen (<email address hidden>)
Branch: master

commit 6bc4cd435b7526bcf8daed763bb1e9f6dc97e107
Author: Son Nguyen <email address hidden>
Date: Wed May 18 12:12:29 2016 +1200

Bug 1582778: Allow UTF-8 characters when preparing embedded images

Change-Id: I2057eea5916f1f820bb98765b641320f5b5f4fef
behatnotneeded: manual tests is enough

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6500

Reviewed: https://reviews.mahara.org/6499
Committed: https://git.mahara.org/mahara/mahara/commit/d879f2965f2a36febf4cde50f493ab79d884a8bf
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit d879f2965f2a36febf4cde50f493ab79d884a8bf
Author: Son Nguyen <email address hidden>
Date: Wed May 18 12:12:29 2016 +1200

Bug 1582778: Allow UTF-8 characters when preparing embedded images

Change-Id: I2057eea5916f1f820bb98765b641320f5b5f4fef
behatnotneeded: manual tests is enough
(cherry picked from commit 6bc4cd435b7526bcf8daed763bb1e9f6dc97e107)

Reviewed: https://reviews.mahara.org/6500
Committed: https://git.mahara.org/mahara/mahara/commit/2b46250e135bd8a7bc0a4b0c5b21f1a13efa4011
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 2b46250e135bd8a7bc0a4b0c5b21f1a13efa4011
Author: Son Nguyen <email address hidden>
Date: Wed May 18 12:12:29 2016 +1200

Bug 1582778: Allow UTF-8 characters when preparing embedded images

Change-Id: I01ab74991240e8b4da9136c6c06756a5916cab53
behatnotneeded: manual tests is enough

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: Fix Committed → Fix Released
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Aaron Wells (u-aaronw) on 2016-11-06
summary: - Japanese text jumbled when submitted with image
+ Multibyte UTF8 characters (e.g. Japanese text) jumbled when submitted
+ with image
tags: added: i18n utf8
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers